accrue.jl5.ext

## Class JL5AnalysisExtFactory_c

- java.lang.Object
- - polyglot.ast.AbstractExtFactory_c
  - - accrue.analysis.ext.AnalysisExtFactory_c
    - - accrue.jl5.ext.JL5AnalysisExtFactory_c

- All Implemented Interfaces:
    AnalysisExtFactory, java.lang.Iterable<polyglot.ast.ExtFactory>, polyglot.ast.ExtFactory, polyglot.ext.jl5.ast.JL5ExtFactory

      public class JL5AnalysisExtFactory_c
      extends AnalysisExtFactory_c
      implements polyglot.ext.jl5.ast.JL5ExtFactory

- - ### Field Summary

    - ### Fields inherited from class polyglot.ast.AbstractExtFactory_c

      `emptyExtFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JL5AnalysisExtFactory_c()`
    `JL5AnalysisExtFactory_c(polyglot.ast.ExtFactory nextExtFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `polyglot.ast.Ext` | `extAmbTypeInstantiation()`
    `protected polyglot.ast.Ext` | `extAmbTypeInstantiationImpl()`
    `polyglot.ast.Ext` | `extAmbWildCard()`
    `protected polyglot.ast.Ext` | `extAmbWildCardImpl()`
    `polyglot.ast.Ext` | `extAnnotationElemDecl()`
    `protected polyglot.ast.Ext` | `extAnnotationElemDeclImpl()`
    `polyglot.ast.Ext` | `extElementValueArrayInit()`
    `protected polyglot.ast.Ext` | `extElementValueArrayInitImpl()`
    `polyglot.ast.Ext` | `extElementValuePair()`
    `protected polyglot.ast.Ext` | `extElementValuePairImpl()`
    `polyglot.ast.Ext` | `extEnumConstant()`
    `polyglot.ast.Ext` | `extEnumConstantDecl()`
    `protected polyglot.ast.Ext` | `extEnumConstantDeclImpl()`
    `protected polyglot.ast.Ext` | `extEnumConstantImpl()`
    `polyglot.ast.Ext` | `extEnumDecl()`
    `protected polyglot.ast.Ext` | `extEnumDeclImpl()`
    `polyglot.ast.Ext` | `extExtendedFor()`
    `protected polyglot.ast.Ext` | `extExtendedForImpl()`
    `polyglot.ast.Ext` | `extMarkerAnnotationElem()`
    `protected polyglot.ast.Ext` | `extMarkerAnnotationElemImpl()`
    `polyglot.ast.Ext` | `extNormalAnnotationElem()`
    `protected polyglot.ast.Ext` | `extNormalAnnotationElemImpl()`
    `polyglot.ast.Ext` | `extParamTypeNode()`
    `protected polyglot.ast.Ext` | `extParamTypeNodeImpl()`
    `polyglot.ast.Ext` | `extSingleElementAnnotationElem()`
    `protected polyglot.ast.Ext` | `extSingleElementAnnotationElemImpl()`
    `polyglot.ast.Ext` | `postExtAmbTypeInstantiation(polyglot.ast.Ext ext)`
    `polyglot.ast.Ext` | `postExtAmbWildCard(polyglot.ast.Ext ext)`
    `protected polyglot.ast.Ext` | `postExtAnnotationElemDecl(polyglot.ast.Ext ext)`
    `protected polyglot.ast.Ext` | `postExtElementValueArrayInit(polyglot.ast.Ext ext)`
    `protected polyglot.ast.Ext` | `postExtElementValuePair(polyglot.ast.Ext ext)`
    `polyglot.ast.Ext` | `postExtEnumConstant(polyglot.ast.Ext ext)`
    `polyglot.ast.Ext` | `postExtEnumConstantDecl(polyglot.ast.Ext ext)`
    `polyglot.ast.Ext` | `postExtEnumDecl(polyglot.ast.Ext ext)`
    `polyglot.ast.Ext` | `postExtExtendedFor(polyglot.ast.Ext ext)`
    `protected polyglot.ast.Ext` | `postExtMarkerAnnotationElem(polyglot.ast.Ext ext)`
    `protected polyglot.ast.Ext` | `postExtNormalAnnotationElem(polyglot.ast.Ext ext)`
    `polyglot.ast.Ext` | `postExtParamTypeNode(polyglot.ast.Ext ext)`
    `protected polyglot.ast.Ext` | `postExtSingleElementAnnotationElem(polyglot.ast.Ext ext)`

    - ### Methods inherited from class accrue.analysis.ext.AnalysisExtFactory_c

      `extArrayAccessAssignImpl, extArrayAccessImpl, extArrayInitImpl, extAssertImpl, extBinaryImpl, extBlockImpl, extBranchImpl, extCallImpl, extCastImpl, extCatchImpl, extConditionalImpl, extConstructorCallImpl, extConstructorDeclImpl, extDoImpl, extEmptyImpl, extEvalImpl, extExprImpl, extFieldAssignImpl, extFieldDeclImpl, extFieldImpl, extFormalImpl, extIfImpl, extInitializerImpl, extInstanceofImpl, extLabeledImpl, extLitImpl, extLocalAssignImpl, extLocalDeclImpl, extLocalImpl, extMethodDeclImpl, extNewArrayImpl, extNewImpl, extNodeImpl, extReturnImpl, extSpecialImpl, extSuppress, extSuppressImpl, extSwitchBlockImpl, extSwitchImpl, extSynchronizedImpl, extTermImpl, extThrowImpl, extTryImpl, extTypeNodeImpl, extUnaryImpl, extWhileImpl, postExtSuppress`

    - ### Methods inherited from class polyglot.ast.AbstractExtFactory_c

      `composeExts, extAmbAssign, extAmbAssignImpl, extAmbExpr, extAmbExprImpl, extAmbPrefix, extAmbPrefixImpl, extAmbQualifierNode, extAmbQualifierNodeImpl, extAmbReceiver, extAmbReceiverImpl, extAmbTypeNode, extAmbTypeNodeImpl, extArrayAccess, extArrayAccessAssign, extArrayInit, extArrayTypeNode, extArrayTypeNodeImpl, extAssert, extAssign, extAssignImpl, extBinary, extBlock, extBooleanLit, extBooleanLitImpl, extBranch, extCall, extCanonicalTypeNode, extCanonicalTypeNodeImpl, extCase, extCaseImpl, extCast, extCatch, extCharLit, extCharLitImpl, extClassBody, extClassBodyImpl, extClassDecl, extClassDeclImpl, extClassLit, extClassLitImpl, extClassMember, extClassMemberImpl, extCodeDecl, extCodeDeclImpl, extCompoundStmt, extCompoundStmtImpl, extConditional, extConstructorCall, extConstructorDecl, extDo, extEmpty, extEval, extExpr, extField, extFieldAssign, extFieldDecl, extFloatLit, extFloatLitImpl, extFor, extForImpl, extFormal, extId, extIdImpl, extIf, extImport, extImportImpl, extInitializer, extInstanceof, extIntLit, extIntLitImpl, extLabeled, extLit, extLocal, extLocalAssign, extLocalClassDecl, extLocalClassDeclImpl, extLocalDecl, extLoop, extLoopImpl, extMethodDecl, extNew, extNewArray, extNode, extNodeList, extNodeListImpl, extNullLit, extNullLitImpl, extNumLit, extNumLitImpl, extPackageNode, extPackageNodeImpl, extProcedureDecl, extProcedureDeclImpl, extReturn, extSourceCollection, extSourceCollectionImpl, extSourceFile, extSourceFileImpl, extSpecial, extStmt, extStmtImpl, extStringLit, extStringLitImpl, extSwitch, extSwitchBlock, extSwitchElement, extSwitchElementImpl, extSynchronized, extTerm, extThrow, extTry, extTypeNode, extUnary, extWhile, iterator, nextExtFactory, postExtAmbAssign, postExtAmbExpr, postExtAmbPrefix, postExtAmbQualifierNode, postExtAmbReceiver, postExtAmbTypeNode, postExtArrayAccess, postExtArrayAccessAssign, postExtArrayInit, postExtArrayTypeNode, postExtAssert, postExtAssign, postExtBinary, postExtBlock, postExtBooleanLit, postExtBranch, postExtCall, postExtCanonicalTypeNode, postExtCase, postExtCast, postExtCatch, postExtCharLit, postExtClassBody, postExtClassDecl, postExtClassLit, postExtClassMember, postExtCodeDecl, postExtCompoundStmt, postExtConditional, postExtConstructorCall, postExtConstructorDecl, postExtDo, postExtEmpty, postExtEval, postExtExpr, postExtField, postExtFieldAssign, postExtFieldDecl, postExtFloatLit, postExtFor, postExtFormal, postExtId, postExtIf, postExtImport, postExtInitializer, postExtInstanceof, postExtIntLit, postExtLabeled, postExtLit, postExtLocal, postExtLocalAssign, postExtLocalClassDecl, postExtLocalDecl, postExtLoop, postExtMethodDecl, postExtNew, postExtNewArray, postExtNode, postExtNodeList, postExtNullLit, postExtNumLit, postExtPackageNode, postExtProcedureDecl, postExtReturn, postExtSourceCollection, postExtSourceFile, postExtSpecial, postExtStmt, postExtStringLit, postExtSwitch, postExtSwitchBlock, postExtSwitchElement, postExtSynchronized, postExtTerm, postExtThrow, postExtTry, postExtTypeNode, postExtUnary, postExtWhile`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface polyglot.ast.ExtFactory

      `extAmbAssign, extAmbExpr, extAmbPrefix, extAmbQualifierNode, extAmbReceiver, extAmbTypeNode, extArrayAccess, extArrayAccessAssign, extArrayInit, extArrayTypeNode, extAssert, extAssign, extBinary, extBlock, extBooleanLit, extBranch, extCall, extCanonicalTypeNode, extCase, extCast, extCatch, extCharLit, extClassBody, extClassDecl, extClassLit, extClassMember, extCodeDecl, extCompoundStmt, extConditional, extConstructorCall, extConstructorDecl, extDo, extEmpty, extEval, extExpr, extField, extFieldAssign, extFieldDecl, extFloatLit, extFor, extFormal, extId, extIf, extImport, extInitializer, extInstanceof, extIntLit, extLabeled, extLit, extLocal, extLocalAssign, extLocalClassDecl, extLocalDecl, extLoop, extMethodDecl, extNew, extNewArray, extNode, extNodeList, extNullLit, extNumLit, extPackageNode, extProcedureDecl, extReturn, extSourceCollection, extSourceFile, extSpecial, extStmt, extStringLit, extSwitch, extSwitchBlock, extSwitchElement, extSynchronized, extTerm, extThrow, extTry, extTypeNode, extUnary, extWhile, nextExtFactory`

    - ### Methods inherited from interface java.lang.Iterable

      `iterator`

- - ### Constructor Detail

    - #### JL5AnalysisExtFactory_c

          public JL5AnalysisExtFactory_c(polyglot.ast.ExtFactory nextExtFactory)

    - #### JL5AnalysisExtFactory_c

          public JL5AnalysisExtFactory_c()

  - ### Method Detail

    - #### extAmbTypeInstantiation

          public final polyglot.ast.Ext extAmbTypeInstantiation()

      Specified by:
        `extAmbTypeInstantiation` in interface `polyglot.ext.jl5.ast.JL5ExtFactory`

    - #### extAmbWildCard

          public final polyglot.ast.Ext extAmbWildCard()

      Specified by:
        `extAmbWildCard` in interface `polyglot.ext.jl5.ast.JL5ExtFactory`

    - #### extEnumDecl

          public final polyglot.ast.Ext extEnumDecl()

      Specified by:
        `extEnumDecl` in interface `polyglot.ext.jl5.ast.JL5ExtFactory`

    - #### extExtendedFor

          public final polyglot.ast.Ext extExtendedFor()

      Specified by:
        `extExtendedFor` in interface `polyglot.ext.jl5.ast.JL5ExtFactory`

    - #### extEnumConstantDecl

          public final polyglot.ast.Ext extEnumConstantDecl()

      Specified by:
        `extEnumConstantDecl` in interface `polyglot.ext.jl5.ast.JL5ExtFactory`

    - #### extEnumConstant

          public final polyglot.ast.Ext extEnumConstant()

      Specified by:
        `extEnumConstant` in interface `polyglot.ext.jl5.ast.JL5ExtFactory`

    - #### extParamTypeNode

          public final polyglot.ast.Ext extParamTypeNode()

      Specified by:
        `extParamTypeNode` in interface `polyglot.ext.jl5.ast.JL5ExtFactory`

    - #### extAnnotationElemDecl

          public final polyglot.ast.Ext extAnnotationElemDecl()

      Specified by:
        `extAnnotationElemDecl` in interface `polyglot.ext.jl5.ast.JL5ExtFactory`

    - #### extNormalAnnotationElem

          public final polyglot.ast.Ext extNormalAnnotationElem()

      Specified by:
        `extNormalAnnotationElem` in interface `polyglot.ext.jl5.ast.JL5ExtFactory`

    - #### extMarkerAnnotationElem

          public final polyglot.ast.Ext extMarkerAnnotationElem()

      Specified by:
        `extMarkerAnnotationElem` in interface `polyglot.ext.jl5.ast.JL5ExtFactory`

    - #### extSingleElementAnnotationElem

          public final polyglot.ast.Ext extSingleElementAnnotationElem()

      Specified by:
        `extSingleElementAnnotationElem` in interface `polyglot.ext.jl5.ast.JL5ExtFactory`

    - #### extElementValuePair

          public final polyglot.ast.Ext extElementValuePair()

      Specified by:
        `extElementValuePair` in interface `polyglot.ext.jl5.ast.JL5ExtFactory`

    - #### extElementValueArrayInit

          public final polyglot.ast.Ext extElementValueArrayInit()

      Specified by:
        `extElementValueArrayInit` in interface `polyglot.ext.jl5.ast.JL5ExtFactory`

    - #### extAmbTypeInstantiationImpl

          protected polyglot.ast.Ext extAmbTypeInstantiationImpl()

    - #### extAmbWildCardImpl

          protected polyglot.ast.Ext extAmbWildCardImpl()

    - #### extEnumDeclImpl

          protected polyglot.ast.Ext extEnumDeclImpl()

    - #### extExtendedForImpl

          protected polyglot.ast.Ext extExtendedForImpl()

    - #### extEnumConstantDeclImpl

          protected polyglot.ast.Ext extEnumConstantDeclImpl()

    - #### extEnumConstantImpl

          protected polyglot.ast.Ext extEnumConstantImpl()

    - #### extParamTypeNodeImpl

          protected polyglot.ast.Ext extParamTypeNodeImpl()

    - #### postExtAmbTypeInstantiation

          public polyglot.ast.Ext postExtAmbTypeInstantiation(polyglot.ast.Ext ext)

    - #### postExtAmbWildCard

          public polyglot.ast.Ext postExtAmbWildCard(polyglot.ast.Ext ext)

    - #### postExtEnumDecl

          public polyglot.ast.Ext postExtEnumDecl(polyglot.ast.Ext ext)

    - #### postExtExtendedFor

          public polyglot.ast.Ext postExtExtendedFor(polyglot.ast.Ext ext)

    - #### postExtEnumConstantDecl

          public polyglot.ast.Ext postExtEnumConstantDecl(polyglot.ast.Ext ext)

    - #### postExtEnumConstant

          public polyglot.ast.Ext postExtEnumConstant(polyglot.ast.Ext ext)

    - #### postExtParamTypeNode

          public polyglot.ast.Ext postExtParamTypeNode(polyglot.ast.Ext ext)

    - #### extAnnotationElemDeclImpl

          protected polyglot.ast.Ext extAnnotationElemDeclImpl()

    - #### extNormalAnnotationElemImpl

          protected polyglot.ast.Ext extNormalAnnotationElemImpl()

    - #### extMarkerAnnotationElemImpl

          protected polyglot.ast.Ext extMarkerAnnotationElemImpl()

    - #### extSingleElementAnnotationElemImpl

          protected polyglot.ast.Ext extSingleElementAnnotationElemImpl()

    - #### extElementValuePairImpl

          protected polyglot.ast.Ext extElementValuePairImpl()

    - #### extElementValueArrayInitImpl

          protected polyglot.ast.Ext extElementValueArrayInitImpl()

    - #### postExtAnnotationElemDecl

          protected polyglot.ast.Ext postExtAnnotationElemDecl(polyglot.ast.Ext ext)

    - #### postExtNormalAnnotationElem

          protected polyglot.ast.Ext postExtNormalAnnotationElem(polyglot.ast.Ext ext)

    - #### postExtMarkerAnnotationElem

          protected polyglot.ast.Ext postExtMarkerAnnotationElem(polyglot.ast.Ext ext)

    - #### postExtSingleElementAnnotationElem

          protected polyglot.ast.Ext postExtSingleElementAnnotationElem(polyglot.ast.Ext ext)

    - #### postExtElementValuePair

          protected polyglot.ast.Ext postExtElementValuePair(polyglot.ast.Ext ext)

    - #### postExtElementValueArrayInit

          protected polyglot.ast.Ext postExtElementValueArrayInit(polyglot.ast.Ext ext)